> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Platform Status

> Get the connection status of a single marketing platform integration.



## OpenAPI

````yaml get /opportunity/platform/{platform_id}/status
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/platform/{platform_id}/status:
    get:
      tags:
        - Marketing Platforms
      summary: Platform Status
      description: Get the connection status of a single marketing platform integration.
      operationId: platform_status_opportunity_platform__platform_id__status_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: platform_id
          in: path
          required: true
          schema:
            type: string
            title: Platform Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformConnectionStatus'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlatformConnectionStatus:
      properties:
        connected:
          type: boolean
          title: Connected
        platformId:
          anyOf:
            - type: string
            - type: 'null'
          title: Platformid
        platformType:
          anyOf:
            - $ref: '#/components/schemas/PlatformType'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        assets:
          items:
            $ref: '#/components/schemas/PlatformAssetSummary'
          type: array
          title: Assets
          default: []
      type: object
      required:
        - connected
      title: PlatformConnectionStatus
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PlatformType:
      type: string
      enum:
        - GOOGLE_ADS
        - META_ADS
        - WEB_FORM
        - CUSTOM
      title: PlatformType
    PlatformAssetSummary:
      properties:
        id:
          type: string
          title: Id
        assetKind:
          type: string
          title: Assetkind
        externalAssetId:
          type: string
          title: Externalassetid
        externalName:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalname
        parentExternalAssetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Parentexternalassetid
        leadAccessGranted:
          type: boolean
          title: Leadaccessgranted
          default: false
        subscribedFields:
          items:
            type: string
          type: array
          title: Subscribedfields
          default: []
        isArchived:
          type: boolean
          title: Isarchived
          default: false
      type: object
      required:
        - id
        - assetKind
        - externalAssetId
      title: PlatformAssetSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````